%include	/usr/lib/rpm/macros.perl
Summary:	3rd-party Munin plugins
Summary(pl.UTF-8):	Nieoficjalne wtyczki munina
Name:		munin-plugins-contrib
Version:	20160322
Release:	1
License:	GPL
Group:		Daemons
Source0:	https://github.com/munin-monitoring/contrib/tarball/master/%{name}-%{version}.tar.gz
# Source0-md5:	43c3331de9ffd87c1590374b0815468c
Patch0:		%{name}-postfix.patch
Patch1:		%{name}-other.patch
Patch2:		%{name}-php.patch
Patch3:		%{name}-apache.patch
Patch4:		%{name}-passenger.patch
Patch5:		xen.patch
URL:		https://github.com/munin-monitoring/contrib/
BuildRequires:	dos2unix
BuildRequires:	perl-devel
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl		DateTime::Format::ISO8601 Sys::Virt Sys::Virt::.* VMware::.* File::Tail::Multi nvidia::ml WWW::Mechanize::TreeBuilder Sun::Solaris::Kstat

%description
This package contains 3rd-party plugins for Munin from contrib repository
located at https://github.com/munin-monitoring/contrib/.

%description -l pl.UTF-8
Ten pakiet zawera nieoficjalne wtyczki dla Munina z repozytorium contrib,
znajdującym się na https://github.com/munin-monitoring/contrib/.

%define	contrib_package()\
%package %{1}\
Summary:	3rd-party Munin plugin - %{1}\
Summary(pl.UTF-8):	Nieoficjalna wtyczka dla munina - %{1}\
Group:		Daemons\
Requires:	munin-node\
\
%description %{1}\
This package contains 3rd-party plugins for Munin from contrib repository\
located at https://github.com/munin-monitoring/contrib/.\
\
%description %{1} -l pl.UTF-8\
Ten pakiet zawera nieoficjalne wtyczki dla Munina z repozytorium contrib,\
znajdującym się na https://github.com/munin-monitoring/contrib/.\
\
%files %{1} -f %{1}.list\
%defattr(755,root,root,755)\
%{nil}

%prep
%setup -q -n munin-monitoring-contrib-0ecf76c

find -type f -print0 | xargs -0 dos2unix

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

grep -r bin/env -l plugins/ | xargs sed -i -e '1{
	s,#!.*bin/env ruby,#!%{__ruby},
	s,#!.*bin/env python[^ ]*,#!%{__python},
	s,#!.*bin/env perl,#!%{__perl},
}'

find plugins/ -type f | xargs sed -i -e '1{
	s,#!.*/usr/local/bin/,#!/usr/bin/,
	s,#!.*/opt/csw/bin/ruby,#!%{__ruby},
	s,#!.*/usr/bin/bash,#!/bin/bash,
	s,#!.*/sbin/sh,#!/bin/sh,
}'

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%{__rm} -r plugins/asterisk/asterisk_*_fax_*
%{__rm} -r plugins/mail/dovecot

for f in plugins/apache/apache_byprojects/byprojects_* ; do
	%{__mv} $f plugins/apache/apache_byprojects/apache_$(basename $f)
done
for f in plugins/nginx/nginx_byprojects/byprojects_* ; do
	%{__mv} $f plugins/nginx/nginx_byprojects/nginx_$(basename $f)
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/munin/plugins/

for i in plugins/*; do
	[ -d $i ] || continue
	j=$(basename $i | sed -e 's/_$//')
	>$j.list
	find $i/* -type f | while read f ; do
                echo $f | grep -q -E "(example|png|.gitignore)" && continue
		n=$(echo $f | sed -e 's!'$i'/!!')
		d=$(dirname $n)
		if [ "$d" != "%{_datadir}/munin/plugins" ]; then
			if ! test -d $RPM_BUILD_ROOT%{_datadir}/munin/plugins/$d; then
				echo "%dir %{_datadir}/munin/plugins/$d" >>$j.list
				install -d $RPM_BUILD_ROOT%{_datadir}/munin/plugins/$d
			fi
		fi
		echo "%{_datadir}/munin/plugins/$n" >>$j.list
		install -p $f $RPM_BUILD_ROOT%{_datadir}/munin/plugins/$n
	done
done

%clean
rm -rf $RPM_BUILD_ROOT

%contrib_package amr
%contrib_package amule
%contrib_package apache
%contrib_package apt
%contrib_package arangodb
%contrib_package aris
%contrib_package asterisk
%contrib_package audit
%contrib_package backup
%contrib_package backuppc
%contrib_package bacula
%contrib_package balanceng
%contrib_package beboxsync
%contrib_package bind9
%contrib_package bitcoin
%contrib_package boinc
%contrib_package cacti
%contrib_package celery
%contrib_package ceph
%contrib_package chassis
%contrib_package chat
%contrib_package cherokee
%contrib_package condor
%contrib_package cpan
%contrib_package currentcost
%contrib_package cyrus
%contrib_package db2
%contrib_package disk
%contrib_package djabberd
%contrib_package docker
%contrib_package dovecot
%contrib_package drbd
%contrib_package drupal
%contrib_package dspam
%contrib_package dvb
%contrib_package dxtv
%contrib_package ejabberd
%contrib_package fax
%contrib_package firebird
%contrib_package forums
%contrib_package ftp
%contrib_package funkytown
%contrib_package games
%contrib_package gearman
%contrib_package geowebcache
%contrib_package glance
%contrib_package glassfish
%contrib_package google
%contrib_package gpu
%contrib_package gunicorn
%contrib_package hadoop
%contrib_package haproxy
%contrib_package harddisks
%contrib_package healthcheck
%contrib_package heimdal
%contrib_package hhvm
%contrib_package hp
%contrib_package http
%contrib_package ipvs
%contrib_package java
%contrib_package jchkmail_counters
%contrib_package jenkins
%contrib_package joomla
%contrib_package kamailio
%contrib_package keystone
%contrib_package licensing
%contrib_package lighttpd
%contrib_package logins
%contrib_package lustre
%contrib_package lxc
%contrib_package mail
%contrib_package memcached
%contrib_package memcached_ext
%contrib_package minecraft
%contrib_package moblock
%contrib_package modem
%contrib_package mod_jk
%contrib_package mogilefs
%contrib_package mongodb
%contrib_package monit
%contrib_package moodle
%contrib_package mpd
%contrib_package mssql
%contrib_package munin
%contrib_package mysql
%contrib_package mythtv
%contrib_package nagios
%contrib_package network
%contrib_package newznab
%contrib_package nfs-freebsd
%contrib_package nginx
%contrib_package noaaport
%contrib_package nova
%contrib_package nscd
%contrib_package nutcracker
%contrib_package openfire
%contrib_package openntpd
%contrib_package openvpn
%contrib_package openvz
%contrib_package oracle
%contrib_package ossec
%contrib_package other
%contrib_package passenger
%contrib_package percona
%contrib_package php
%contrib_package postfix
%contrib_package postgresql
%contrib_package power5
%contrib_package powermta
%contrib_package printer
%contrib_package processes
%contrib_package prosody
%contrib_package puppet
%contrib_package qpid
%contrib_package qpsmtpd
%contrib_package rabbitmq
%contrib_package rackspace
%contrib_package radiator
%contrib_package raspberry-pi
%contrib_package reddit_karma
%contrib_package redis
%contrib_package relayd
%contrib_package requesttracker
%contrib_package riak
%contrib_package rsync
%contrib_package rtorrent
%contrib_package s3
%contrib_package sabnzbd
%contrib_package samba
%contrib_package san
%contrib_package scalix
%contrib_package security
%contrib_package senderscore
%contrib_package sensors
%contrib_package services
%contrib_package sge
%contrib_package sickbeard
%contrib_package slony
%contrib_package smstools
%contrib_package snmp
%contrib_package solr
%contrib_package sourceds
%contrib_package sphinx
%contrib_package spotweb
%contrib_package squeezebox
%contrib_package squid
%contrib_package ssl
%contrib_package streaming
%contrib_package swift
%contrib_package syslog
%contrib_package system
%contrib_package tarsnap
%contrib_package teamspeak
%contrib_package thin
%contrib_package time
%contrib_package tomcat
%contrib_package trafic_ro
%contrib_package tv
%contrib_package ubuntu
%contrib_package ultramonkey
%contrib_package unicorn
%contrib_package ups
%contrib_package uwsgi
%contrib_package varnish
%contrib_package varnish4
%contrib_package vdr
%contrib_package virtualization
%contrib_package voip
%contrib_package voldemort
%contrib_package weather
%contrib_package websphere
%contrib_package wiki
%contrib_package wowza
%contrib_package wuala
%contrib_package xastir
%contrib_package xbnbt
%contrib_package yacy
%contrib_package zeo
%contrib_package zfs
%contrib_package zimbra
%contrib_package znc
%contrib_package zope
%changelog
* Tue Mar 22 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/munin-plugins-contrib.git;a=log;h=master

* Tue Mar 22 2016 Marcin Krol <hawk@tld-linux.org> d50a79d
- updated to 20160322

* Mon Nov 09 2015 Marcin Krol <hawk@tld-linux.org> 363b7ec
- package subdirs too

* Fri Nov 06 2015 Marcin Krol <hawk@tld-linux.org> c3ba27f
- updated to 20151106, updated URL, package all contents using same
  directory structure as provided by upstream

* Sat Oct 17 2015 Marcin Krol <hawk@tld-linux.org> f27a83c
- drop trailing underscore in package names for wildcard plugins

* Wed Oct 14 2015 Marcin Krol <hawk@tld-linux.org> 5519eb9
- updated patches, release 1

* Wed Oct 14 2015 Marcin Krol <hawk@tld-linux.org> ae37cd0
- really updated

* Wed Oct 14 2015 Marcin Krol <hawk@tld-linux.org> 548679c
- updated for current snapshot

* Wed Oct 14 2015 Marcin Krol <hawk@tld-linux.org> 3746df9
- obsolete, applied upstream

* Wed Oct 14 2015 Marcin Krol <hawk@tld-linux.org> a80e513
- contrib plugins for Munin, NFY, patches not adjusted

